Call for testing: libreoffice 6.0.1


#41

libreoffice is not a classic snap, so you can’t install it as such. Thus the --classic switch will have no effect.


#42

Indeed the snap was built with --with-lang=en-US de es fr it pt pt-BR ja zh-TW, so russian localizations were not included. I have added them here, and triggered a new build.


#43

An interface in snap is the same thing as a permission in Android. It allows the app to use certain features: network access, graphics acceleration, access to files outside of its sandbox, USB devices etc.

If you have some snaps installed you can type snap interfaces and it will show you what is using what.


#44

An updated revision is now in the candidate channel, with Russian localization. Please test and let me know if it all works as expected:

snap refresh libreoffice --candidate

The size of the snap increased by 7.9MB.


#45

It works. Please rebuild the stable channel with Russian (I have a native build of Libreoffice Fresh 6.0 installed via PPA and want to use LO Fresh daily, but have a stable version installed in parralel, and the snap helps to achieve this.


#46

Is it possible to have the ‘candidate’ and ‘stable’ channels installed in parallel?


#47

parallel installation of snaps is on the roadmap under “upcoming”:


#48

As pointed out by @ogra, having two channels installed in parallel is not possible yet, but is on the roadmap. In the meantime, if no major issue is raised the version currently in the candidate channel (6.0.1) will soon be promoted to the stable channel (I will update that thread when it is). Until then, please keep the feedback coming!


#49

Is the coming libreoffice 6.0.1 going to auto-replace the existing LibreOffice 5.4.4.2 (autoupdate from snap package)?

There is the recent security vulnerability (https://www.libreoffice.org/about-us/security/advisories/cve-2018-1055/) with description at https://github.com/jollheef/libreoffice-remote-arbitrary-file-disclosure


#50

That’s a feature of snaps indeed, they silently update, so whenever 6.0.1 is promoted to the stable channel you will get the update if that’s the channel you’re currently tracking.

Note that CVE-2018-6871 (that’s the correct number for that vulnerability) is rather harmless for the snap package, which runs strictly confined, and thus doesn’t have access to sensitive system files like /etc/passwd or ~/.ssh/config.


#51

I just pushed a new revision to the candidate channel (50) that fixes bug #1748151. If you use base to create databases, please test and report here. Thanks!


#52

I just pushed a new revision to the candidate channel (51) that cleans up quite a bit the stage packages included in the snap, and fixes bug #1750111.
I hope to promote that revision to the stable channel very soon, here’s a last opportunity to test and report regressions!


#53

And yet another revision (52) that fixes bug #1750497 (if you use libreoffice to send your documents as e-mail attachments, please test!). That should be the final one before promotion to the stable channel.


#54

Thanks everyone for testing and the feedback.
Libreoffice 6.0.1 is now available in the stable channel.


#55

this happens to me every time I run Libreoffice Math


#56

Probably happened on refresh? Have you hit ‘Descartar’? It should go away if you do that (you might want to check that the file it’s asking about has been saved, though)


#57

I’m having the same issue on ubuntu 17.10 gnome. How to make it use gtk3?


#58

Some further info about CJK input methods:

  1. If using fcitx, the symbols get leaked so it’s hard to form words.
    link

  2. If using ibus, the select window doesn’t respect the cursor position.

As you can see, the select window is showing at the bottom of the window. Which is not the correct behaviour of ibus select window.